Update application tech flags
/api/v1/app/{appId}/policy/flags Update Tech Flags
Updates the technology flags for this application.
Adjusting these tech flags alters the behavior of plugins by either conditionally executing or operating differently based on the enabled flags. Optimizing tech flags by excluding unused technologies can speed up scans and reduce false positives.
Additional Information:
- The
techFlagsmap provided must contain keys that exactly match the accepted technology flags. Use the Get application tech flags endpoint to read the current configuration for an application. - The default value for all flags is
true. Setting a flag tofalsewill disable or alter the behavior of related plugins.
Accepted Technology Flags:
| Technology Flags |
|---|
| Db |
| Db.MySQL |
| Db.PostgreSQL |
| Db.Microsoft SQL Server |
| Db.Oracle |
| Db.SQLite |
| Db.Microsoft Access |
| Db.Firebird |
| Db.SAP MaxDB |
| Db.Sybase |
| Db.IBM DB2 |
| Db.HypersonicSQL |
| Db.MongoDB |
| Db.CouchDB |
| Language |
| Language.ASP |
| Language.C |
| Language.Java |
| Language.Java.Spring |
| Language.JavaScript |
| Language.JSP/Servlet |
| Language.PHP |
| Language.Python |
| Language.Ruby |
| Language.XML |
| OS |
| OS.Linux |
| OS.MacOS |
| OS.Windows |
| SCM |
| SCM.Git |
| SCM.SVN |
| WS |
| WS.Apache |
| WS.IIS |
🧾 Audited This is recorded as
TECH_FLAG_MODIFIEDUser Activity.
Requires
write:applicationpermission.
Path parameters
appIdstring · uuidrequiredUUID identifier for this StackHawk Application.
Body
objectResponse
OK
Bad Request
Unauthorized